import request from '@/utils/request'

export const getData = data => {
  return request({
    url: '/point-strategy/v/fileBox/queryPage',
    method: 'post',
    data
  })
}
export const addData = params => {
  return request({
    url: '/point-strategy/v/fileBox/add',
    method: 'post',
    params
  })
}
export const updateData = data => {
  return request({
    url: '/point-strategy/v/fileBox/update',
    method: 'post',
    data
  })
}
export const deleteData = params => {
  return request({
    url: '/point-strategy/v/fileBox/delete',
    method: 'post',
    params
  })
}
export const getFindList = params => {
  return request({
    url: '/point-strategy/v/dict/findList',
    method: 'get',
    params
  })
}
export const getBoxType = data => {
  return request({
    url: '/point-strategy/v/fileBoxParameter/queryPage',
    method: 'post',
    data
  })
}
export const addDocToBox = data => {
  return request({
    url: '/point-strategy/v/fileBox/addDocToBox',
    method: 'post',
    data
  })
}
export const selectFileBoxArchive = params => {
  return request({
    url: '/point-strategy/v/fileBox/selectFileBoxArchive',
    method: 'post',
    params
  })
}
export const detail = params => {
  return request({
    url: '/point-strategy/v/fileBox/selectFileBoxArchiveByLabelId',
    method: 'post',
    params
  })
}
export const detailDelete = params => {
  return request({
    url: '/point-strategy/v/fileBox/detailDelete',
    method: 'post',
    params
  })
}

export const selectThreeArchive = params => {
  return request({
    url: '/point-strategy/v/fileBox/selectThreeArchive',
    method: 'post',
    params
  })
}

export const selectThreeId = params => {
  return request({
    url: '/point-strategy/v/fileBox/selectThreeId',
    method: 'post',
    params
  })
}

export const selectThreeName = params => {
  return request({
    url: '/point-strategy/v/fileBox/selectThreeName',
    method: 'post',
    params
  })
}